package com.chenyang.nse.bussiness.engine.infa.powercenter961.pubbean;

import java.util.List;

public class WorkflowBean {
   private String sourcename;
   private String targetname;
   private String sqname;
   private String targetdbname;
   private String sourcedbname;
   private String sourceownername;
   private String targetownername;
   private String mapping_name;
   private String workflow_name;
   private List<MappletMakeDatabean> mappletbean;
   private String sou_linkname;
   private String tar_linkname;
   private String parampath;
   private String source_dbtype;
   private String target_dbtype;
   private String s_file_path;
   private String t_file_path;
   private String s_file_name;
   private String t_file_name;
   private List<String> mainTable;

   public List<String> getMainTable() {
      return this.mainTable;
   }

   public void setMainTable(List<String> mainTable) {
      this.mainTable = mainTable;
   }

   public String getS_file_path() {
      return this.s_file_path;
   }

   public void setS_file_path(String s_file_path) {
      this.s_file_path = s_file_path;
   }

   public String getT_file_path() {
      return this.t_file_path;
   }

   public void setT_file_path(String t_file_path) {
      this.t_file_path = t_file_path;
   }

   public String getS_file_name() {
      return this.s_file_name;
   }

   public void setS_file_name(String s_file_name) {
      this.s_file_name = s_file_name;
   }

   public String getT_file_name() {
      return this.t_file_name;
   }

   public void setT_file_name(String t_file_name) {
      this.t_file_name = t_file_name;
   }

   public String getSource_dbtype() {
      return this.source_dbtype;
   }

   public void setSource_dbtype(String source_dbtype) {
      this.source_dbtype = source_dbtype;
   }

   public String getTarget_dbtype() {
      return this.target_dbtype;
   }

   public void setTarget_dbtype(String target_dbtype) {
      this.target_dbtype = target_dbtype;
   }

   public String getSou_linkname() {
      return this.sou_linkname;
   }

   public void setSou_linkname(String sou_linkname) {
      this.sou_linkname = sou_linkname;
   }

   public String getTar_linkname() {
      return this.tar_linkname;
   }

   public void setTar_linkname(String tar_linkname) {
      this.tar_linkname = tar_linkname;
   }

   public String getParampath() {
      return this.parampath;
   }

   public void setParampath(String parampath) {
      this.parampath = parampath;
   }

   public String getWorkflow_name() {
      return this.workflow_name;
   }

   public void setWorkflow_name(String workflow_name) {
      this.workflow_name = workflow_name;
   }

   public String getMapping_name() {
      return this.mapping_name;
   }

   public void setMapping_name(String mapping_name) {
      this.mapping_name = mapping_name;
   }

   public List<MappletMakeDatabean> getMappletbean() {
      return this.mappletbean;
   }

   public void setMappletbean(List<MappletMakeDatabean> mappletbean) {
      this.mappletbean = mappletbean;
   }

   public String getSourceownername() {
      return this.sourceownername;
   }

   public void setSourceownername(String sourceownername) {
      this.sourceownername = sourceownername;
   }

   public String getTargetownername() {
      return this.targetownername;
   }

   public void setTargetownername(String targetownername) {
      this.targetownername = targetownername;
   }

   public String getSourcename() {
      return this.sourcename;
   }

   public void setSourcename(String sourcename) {
      this.sourcename = sourcename;
   }

   public String getSqname() {
      return this.sqname;
   }

   public void setSqname(String sqname) {
      this.sqname = sqname;
   }

   public String getTargetdbname() {
      return this.targetdbname;
   }

   public void setTargetdbname(String targetdbname) {
      this.targetdbname = targetdbname;
   }

   public String getSourcedbname() {
      return this.sourcedbname;
   }

   public void setSourcedbname(String sourcedbname) {
      this.sourcedbname = sourcedbname;
   }

   public String getTargetname() {
      return this.targetname;
   }

   public void setTargetname(String targetname) {
      this.targetname = targetname;
   }
}
